bin_PROGRAMS=wmforkplop
noinst_PROGRAMS=@GKFORKPLOP@
EXTRA_PROGRAMS=gkforkplop.so

EXTRA_DIST=autogen.sh gkrellm_forkplop.c Vera.ttf Vera.txt README

DEFS = @DEFS@ -DPKGDATADIR="\"$(pkgdatadir)\""

IMLIB2_LIBS=@IMLIB2_LIBS@
IMLIB2_CFLAGS=@IMLIB2_CFLAGS@
LIBGTOP_LIBS=@LIBGTOP_LIBS@
LIBGTOP_CFLAGS=@LIBGTOP_CFLAGS@

wmforkplop_SOURCES = wmforkplop.c wmforkplop.h util.c util.h procstat.c procstat.h global.h dockapp_imlib2.c dockapp_imlib2.h

wmforkplop_LDADD=-lm $(IMLIB2_LIBS) $(LIBGTOP_LIBS)
wmforkplop_CFLAGS=$(IMLIB2_CFLAGS) $(LIBGTOP_CFLAGS)
# gtk cflags and gtk lib flags
GTK2_CFLAGS = @GTK2_CFLAGS@
GTK2_LIBS = @GTK2_LIBS@

LIBTOOLSUX_GKFORKPLOP_SRC=wmforkplop.c util.c util.h procstat.c procstat.h global.h dockapp_imlib2.c dockapp_imlib2.h gkrellm_forkplop.c

gkforkplop_so_SOURCES=$(LIBTOOLSUX_GKFORKPLOP_SRC)
gkforkplop_so_CFLAGS=-DGKRELLM -fPIC $(GTK2_CFLAGS) $(IMLIB2_CFLAGS) $(LIBGTOP_CFLAGS)
gkforkplop_so_LDFLAGS=-shared -Wl $(IMLIB2_LIBS) $(LIBGTOP_LIBS) -lm

all: @GKFORKPLOP@

pkgdata_DATA = Vera.ttf Vera.txt README